Bug 1412179 - VMware EMS Refresh fails with "block (2 levels) in getMoPropMulti' error
Summary: VMware EMS Refresh fails with "block (2 levels) in getMoPropMulti' error
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.7.0
Hardware: x86_64
OS: Linux
high
high
Target Milestone: GA
: 5.8.0
Assignee: Adam Grare
QA Contact: Alex Newman
URL:
Whiteboard: vmware:ems_refresh
Depends On:
Blocks: 1416826 1418000
TreeView+ depends on / blocked
 
Reported: 2017-01-11 13:17 UTC by Prasad Mukhedkar
Modified: 2020-04-15 15:04 UTC (History)
10 users (show)

Fixed In Version: 5.8.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1416826 1418000 (view as bug list)
Environment:
Last Closed: 2017-06-12 17:26:57 UTC
Category: ---
Cloudforms Team: VMware
Target Upstream Version:


Attachments (Terms of Use)
Hotfix for 5.7.0.17 (12.86 KB, application/x-gzip)
2017-01-31 15:26 UTC, Adam Grare
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1402797 0 medium CLOSED VMWare full refresh fail on 'The session is not authenticated.' 2021-02-22 00:41:40 UTC

Internal Links: 1402797

Comment 5 Dave Johnson 2017-01-12 19:41:58 UTC
FYI, same error as summary, getMoPropMulti, showing in https://bugzilla.redhat.com/show_bug.cgi?id=1402797#c5

Comment 9 CFME Bot 2017-01-16 21:12:38 UTC
New commit detected on ManageIQ/manageiq-gems-pending/master:
https://github.com/ManageIQ/manageiq-gems-pending/commit/7acfd8cee038bf166d8ec5634daa733945a84835

commit 7acfd8cee038bf166d8ec5634daa733945a84835
Author:     Adam Grare <adam@grare.com>
AuthorDate: Mon Jan 16 11:53:18 2017 -0500
Commit:     Adam Grare <adam@grare.com>
CommitDate: Mon Jan 16 16:07:02 2017 -0500

    Use Array() for non-array propSet
    
    In the case where ObjectContent.propSet is nil [oc.propSet] will result
    in [nil] where Array(oc.propSet) will result in []
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1412179

 lib/gems/pending/VMwareWebService/MiqVimInventory.rb | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

Comment 16 Adam Grare 2017-01-31 15:26:12 UTC
Created attachment 1246337 [details]
Hotfix for 5.7.0.17

Attached a hotfix for 5.7.0, scp 5_7_0_17_hotfix_1412179_nil_prop_set.tar.gz to /var/www/miq/vmdb and un-tar it there.


Note You need to log in before you can comment on or make changes to this bug.